{
    onStart(pokemon) {
        for (const target of pokemon.foes()) {
            if (target.item) {
                this.add('-item', target, target.getItem().name, '[from] ability: Frisk', '[of] ' + pokemon);
            }

            if (!target.volatiles['embargo']) {
                this.add("-activate", pokemon, "ability: Frisk");
                target.addVolatile('embargo');
                target.volatiles['friskEmbargo'] = true;
            }
        }
    },
    onResidualOrder: 20,
    onResidual(pokemon) {
        for (const target of pokemon.foes()) {
            if (target.volatiles['friskEmbargo'] && target.volatiles['friskEmbargo']) {
                target.removeVolatile('embargo');
                delete target.volatiles['friskEmbargo'];
                this.add('-end', target, 'Embargo', '[from] ability: Frisk', '[silent]');
            }
        }
    },
    flags: {},
    name: "Frisk",
    rating: 1.5,
    num: 119,
}
